Skip to main content
PATCH
Update a planning allocation

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

The numeric ID of the account

id
string
required

Body

application/json
allocation
object
required

Response

200 - application/json

Success

id
string<uuid>
account_id
integer
resource_id
string<uuid> | null
event_id
string<uuid> | null
parent_allocation_id
string<uuid> | null
title
string | null
description
string | null
start_at
string<date-time>
end_at
string<date-time>
buffer_before_min
integer | null
buffer_after_min
integer | null
status
string | null
category
string | null
stage
string | null
sequence
integer | null
invalid_reason
string | null
metadata
object
created_at
string<date-time>
updated_at
string<date-time>